Last Comment Bug 763491 - [Windows] Launching a Web Application with no supported Firefox version installed shows incorrect Firefox version to user
: [Windows] Launching a Web Application with no supported Firefox version insta...
Status: VERIFIED FIXED
[qa!]
: regression
Product: Firefox Graveyard
Classification: Graveyard
Component: Web Apps (show other bugs)
: unspecified
: x86_64 Windows 7
: -- normal
: Firefox 16
Assigned To: Tim Abraldes [:TimAbraldes] [:tabraldes]
: Jason Smith [:jsmith]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-11 07:49 PDT by Jason Smith [:jsmith]
Modified: 2016-02-04 15:00 PST (History)
4 users (show)
jsmith: in‑moztrap+
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch v1 - Initial patch. Changes string to say 15 instead of 14. (932 bytes, patch)
2012-06-11 17:09 PDT, Tim Abraldes [:TimAbraldes] [:tabraldes]
myk: review+
timabraldes: checkin+
Details | Diff | Review

Description Jason Smith [:jsmith] 2012-06-11 07:49:13 PDT
Steps:

1. Install a Web Application from Nightly
2. Uninstall Nightly
3. Launch the web application

Expected:

The error message should say for Windows:

WebappRT

This app requires that Firefox version 15 or above is installed. Firefox 15+ has not been detected.

Actual;

The error message on Windows actually says:

WebappRT

This app requires that Firefox version 14 or above is installed. Firefox 14+ has not been detected.
Comment 1 Tim Abraldes [:TimAbraldes] [:tabraldes] 2012-06-11 17:09:54 PDT
Created attachment 632070 [details] [diff] [review]
Patch v1 - Initial patch. Changes string to say 15 instead of 14.
Comment 2 Jason Smith [:jsmith] 2012-06-12 14:12:05 PDT
(In reply to Tim Abraldes from comment #1)
> Created attachment 632070 [details] [diff] [review]
> Patch v1 - Initial patch. Changes string to say 15 instead of 14.

Is this a windows only patch?
Comment 3 Myk Melez [:myk] [@mykmelez] 2012-06-12 15:04:39 PDT
(In reply to Jason Smith [:jsmith] from comment #2)
> (In reply to Tim Abraldes from comment #1)
> > Created attachment 632070 [details] [diff] [review]
> > Patch v1 - Initial patch. Changes string to say 15 instead of 14.
> 
> Is this a windows only patch?

Yes, because the Mac implementation doesn't reference a Firefox version.
Comment 4 Tim Abraldes [:TimAbraldes] [:tabraldes] 2012-06-13 12:48:54 PDT
Comment on attachment 632070 [details] [diff] [review]
Patch v1 - Initial patch. Changes string to say 15 instead of 14.

https://hg.mozilla.org/integration/mozilla-inbound/rev/32b1c3c844c6
Comment 5 Ed Morley [:emorley] 2012-06-14 02:46:55 PDT
https://hg.mozilla.org/mozilla-central/rev/32b1c3c844c6
Comment 6 Jason Smith [:jsmith] 2012-06-26 17:06:50 PDT
Works on windows, busted on Mac. Looks like the patch here only supports windows, which probably explains why this isn't working on Mac. I see the following on Mac:

WebappRT Not Found

Failure to locate specified override runtime with signature 'org.mozilla.nightly'
Comment 7 Jason Smith [:jsmith] 2012-06-26 18:05:36 PDT
Actually, this is probably not the right bug causing the bustage. Something else caused it...
Comment 8 Jason Smith [:jsmith] 2012-06-26 18:06:43 PDT
Can someone explain why there isn't an equilvalent Mac patch here? And is the issue I'm hitting here related to this bug or something else?
Comment 9 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-06-27 09:04:21 PDT
As comment 3 says, the Mac error message doesn't specify a version. It's not clear to me what issue comment 6 is describing. Are you just pointing out that the Mac error message is more confusing? A separate bug can be filed on improving that.
Comment 10 Jason Smith [:jsmith] 2012-06-27 09:08:38 PDT
(In reply to :Gavin Sharp (use gavin@gavinsharp.com for email) from comment #9)
> As comment 3 says, the Mac error message doesn't specify a version. It's not
> clear to me what issue comment 6 is describing. Are you just pointing out
> that the Mac error message is more confusing? A separate bug can be filed on
> improving that.

Oh my bad. Forgot to read at the comments above. Anyways.

I'll get a separate bug open about Mac. Marking as verified.

Note You need to log in before you can comment on or make changes to this bug.